import type { Lang } from "@carefree0910/core";

export enum CFDraw_Toast_Words {
  "generate-success-message" = "generate-success-message",
  "post-python-fields-plugin-error-message" = "post-python-fields-plugin-error-message",
  "uploading-project-message" = "uploading-project-message",
  "adding-project-message" = "adding-project-message",
  "add-project-success-message" = "add-project-success-message",
  "save-project-success-message" = "save-project-success-message",
  "save-project-error-message" = "save-project-error-message",
  "loading-project-message" = "loading-project-message",
  "load-project-success-message" = "load-project-success-message",
  "load-project-error-message" = "load-project-error-message",
  "please-select-project-message" = "please-select-project-message",
  "please-select-project-to-delete-message" = "please-select-project-to-delete-message",
  "already-selected-project-message" = "already-selected-project-message",
  "cannot-delete-auto-save-project-message" = "cannot-delete-auto-save-project-message",
  "downloading-project-message" = "downloading-project-message",
  "importing-local-project-message" = "importing-local-project-message",
  "import-local-project-success-message" = "import-local-project-success-message",
  "import-local-project-error-message" = "import-local-project-error-message",
  "delete-project-success-message" = "delete-project-success-message",
  "delete-project-error-message" = "delete-project-error-message",
  "add-frame-success-message" = "add-frame-success-message",
  "add-frame-error-message" = "add-frame-error-message",
  "submit-task-busy-message" = "submit-task-busy-message",
  "submit-task-success-message" = "submit-task-success-message",
  "submit-task-error-message" = "submit-task-error-message",
  "submit-task-interrupted-message" = "submit-task-interrupted-message",
  "submit-task-finished-message" = "submit-task-finished-message",
  "enter-brush-mode-message" = "enter-brush-mode-message",
  "exit-brush-mode-message" = "exit-brush-mode-message",
  "returned-empty-text-message" = "returned-empty-text-message",
}

export const toastLangRecords: Record<Lang, Record<CFDraw_Toast_Words, string>> = {
  zh: {
    [CFDraw_Toast_Words["generate-success-message"]]: "生成成功",
    [CFDraw_Toast_Words["post-python-fields-plugin-error-message"]]: "请求 Python 服务时失败",
    [CFDraw_Toast_Words["uploading-project-message"]]: "保存项目中",
    [CFDraw_Toast_Words["adding-project-message"]]: "新建项目中",
    [CFDraw_Toast_Words["add-project-success-message"]]: "新建项目成功",
    [CFDraw_Toast_Words["save-project-success-message"]]: "保存项目成功",
    [CFDraw_Toast_Words["save-project-error-message"]]: "保存项目失败",
    [CFDraw_Toast_Words["loading-project-message"]]: "加载项目中，请稍候",
    [CFDraw_Toast_Words["load-project-success-message"]]: "加载项目成功",
    [CFDraw_Toast_Words["load-project-error-message"]]: "加载项目失败",
    [CFDraw_Toast_Words["please-select-project-message"]]: "请先选择想要加载的项目",
    [CFDraw_Toast_Words["please-select-project-to-delete-message"]]: "请先选择想要删除的项目",
    [CFDraw_Toast_Words["already-selected-project-message"]]:
      "要加载的项目是当前的项目，无需重复加载",
    [CFDraw_Toast_Words["cannot-delete-auto-save-project-message"]]: "不能删除「自动保存」项目",
    [CFDraw_Toast_Words["downloading-project-message"]]: "下载项目中",
    [CFDraw_Toast_Words["importing-local-project-message"]]: "导入中",
    [CFDraw_Toast_Words["import-local-project-success-message"]]: "导入成功",
    [CFDraw_Toast_Words["import-local-project-error-message"]]: "导入失败",
    [CFDraw_Toast_Words["delete-project-success-message"]]: "删除项目成功",
    [CFDraw_Toast_Words["delete-project-error-message"]]: "删除项目失败",
    [CFDraw_Toast_Words["add-frame-success-message"]]: "添加画框成功",
    [CFDraw_Toast_Words["add-frame-error-message"]]: "添加画框时出了些问题",
    [CFDraw_Toast_Words["submit-task-busy-message"]]: "当前任务正在执行中，请稍候...",
    [CFDraw_Toast_Words["submit-task-success-message"]]: "任务提交成功",
    [CFDraw_Toast_Words["submit-task-error-message"]]: "执行任务时出了些问题",
    [CFDraw_Toast_Words["submit-task-interrupted-message"]]: "任务执行被中断",
    [CFDraw_Toast_Words["submit-task-finished-message"]]: "任务已执行完成",
    [CFDraw_Toast_Words["enter-brush-mode-message"]]: "已进入涂鸦模式",
    [CFDraw_Toast_Words["exit-brush-mode-message"]]: "已退出涂鸦模式",
    [CFDraw_Toast_Words["returned-empty-text-message"]]: "返回的文本内容为空",
  },
  en: {
    [CFDraw_Toast_Words["generate-success-message"]]: "Generated successfully!",
    [CFDraw_Toast_Words["post-python-fields-plugin-error-message"]]:
      "Request Python service failed",
    [CFDraw_Toast_Words["uploading-project-message"]]: "Saving",
    [CFDraw_Toast_Words["adding-project-message"]]: "Creating new project",
    [CFDraw_Toast_Words["add-project-success-message"]]: "Project created successfully!",
    [CFDraw_Toast_Words["save-project-success-message"]]: "Project saved successfully!",
    [CFDraw_Toast_Words["save-project-error-message"]]: "Save project failed",
    [CFDraw_Toast_Words["loading-project-message"]]: "Loading",
    [CFDraw_Toast_Words["load-project-success-message"]]: "Project loaded successfully!",
    [CFDraw_Toast_Words["load-project-error-message"]]: "Load project failed",
    [CFDraw_Toast_Words["please-select-project-message"]]: "Please select a project first",
    [CFDraw_Toast_Words["please-select-project-to-delete-message"]]:
      "Please select a project to delete",
    [CFDraw_Toast_Words["already-selected-project-message"]]:
      "The project you want to load is the current project, no need to load again",
    [CFDraw_Toast_Words["cannot-delete-auto-save-project-message"]]:
      "Cannot delete 'Auto Save' project",
    [CFDraw_Toast_Words["downloading-project-message"]]: "Downloading",
    [CFDraw_Toast_Words["importing-local-project-message"]]: "Importing",
    [CFDraw_Toast_Words["import-local-project-success-message"]]: "Imported successfully!",
    [CFDraw_Toast_Words["import-local-project-error-message"]]: "Import failed",
    [CFDraw_Toast_Words["delete-project-success-message"]]: "Project deleted successfully!",
    [CFDraw_Toast_Words["delete-project-error-message"]]: "Delete project failed",
    [CFDraw_Toast_Words["add-frame-success-message"]]: "Frame added successfully",
    [CFDraw_Toast_Words["add-frame-error-message"]]: "Something is wrong when adding Frame",
    [CFDraw_Toast_Words["submit-task-busy-message"]]:
      "Current task is being executed, please wait for a while...",
    [CFDraw_Toast_Words["submit-task-success-message"]]: "Task submitted successfully!",
    [CFDraw_Toast_Words["submit-task-error-message"]]: "Something is wrong when executing the task",
    [CFDraw_Toast_Words["submit-task-interrupted-message"]]: "Task submission is interrupted",
    [CFDraw_Toast_Words["submit-task-finished-message"]]: "Task has been executed successfully",
    [CFDraw_Toast_Words["enter-brush-mode-message"]]: "Entered sketch mode",
    [CFDraw_Toast_Words["exit-brush-mode-message"]]: "Exited sketch mode",
    [CFDraw_Toast_Words["returned-empty-text-message"]]: "Returned text is empty",
  },
};
